'use strict';

const _          = require('lodash');
const BaseEntity = require('./../../kube-native/entity.base');

class Deployment extends BaseEntity {

    getName() {
        return _.get(this._getData(), 'metadata.name');
    }

    getNamespace() {
        return _.get(this._getData(), 'metadata.namespace');
    }

    getMatchLabelSelector(){
        return _.get(this._getData(), 'spec.selector.matchLabels');
    }

    getBasicData() {
        return {
            name: this.getName(),
            status: this.getStatus(),
            namespace: this.getNamespace(),
            selector: this.getSelector(),

        }
    }
}

module.exports = Deployment;