'use strict';

const _          = require('lodash');
const BaseEntity = require('./../entity.base');

class Pod extends BaseEntity {

    getName() {
        return _.get(this._getData(), 'metadata.name');
    }

    getNamespace() {
        return _.get(this._getData(), 'metadata.namespace');
    }

    getContainers(){
        const pathToContainers = 'spec.containers';
        const pathToContainerStauts = 'status.containerStatuses';
        const containerSelectedProps = [
            'name',
            'image',
            'resources',
            'ports',
        ];
        return _.get(this._getData(), pathToContainers, [])
            .map((container) => _.merge(_.pick(container, containerSelectedProps), {
                status: _.filter(_.get(this._getData(), pathToContainerStauts, []),
                containerStatus => containerStatus.name === container.name)
            }));
    }

    getBasicData() {
        return {
            name: this.getName(),
            status: this.getStatus(),
            namespace: this.getNamespace(),
            selector: this.getSelector(),
        }
    }

}

module.exports = Pod;